Activate loan

This request activates a loan.

   Click here to learn more about this request

After a loan is created, a separate request is made to activate. Note the following when activating a loan:

An activated loan functions differently than a loan that has not been activated. By default, newly created loans are not activated.

Loans can be deactivated, if needed. Use the PUT Deactivate loan request to do so. Deactivating a loan will pause all calculations.

If the loan used in the request is already activated, the response will come back as "false" instead of "true".

Activating a loan updates the "active" field within the LoanSetup object that's nested within the Loans entity. An activated loan will have a "active" value of 1 instead of 0.

For an example of how activating a loan works within the UI, take a look at our Activation requirements article.

👆

Pay special attention to the endpoint of this request.

This request does not use OData, so it's not included in the endpoint like most other LMS requests.

Database

For information regarding loan database tables, see the following articles:

Database – Loan Table (loan_entity)

Database – Loan Setup (loan_setup_entity)

Database – Loan Status Entity (loan_status_entity)

Path Params
int32
required

The ID of the loan.

Body Params
boolean
Defaults to true

This determines whether to ignore system warnings when activating the loan.
> The system will issue warnings for potential issues such as missing required fields.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json